Community mailing list archives

community@mail.odoo.com

Problem with XML-RPC Secure

by
Waqar Afridi
- 06/04/2015 02:05:06
Hello All

I just subscribed to mailing list and I dont know whether thats the correct one or not, so If not point me in right direction :)

The Problem that I am having is with xml-rpc secure. I created the certificates and told openerp-server through its parameters ( ./openerp-server.py --addons-path=./addons --cert-file=./ssl/server.crt --pkey-file=server.pkey ) and also through ~/.openerp_serverrc file as shown below

secure = True
xmlrpcs = True
xmlrpcs_interface =
xmlrpcs_port = 8071
secure_pkey_file = /usr/local/lib/python2.7/dist-packages/openerp-server/ssl/server.pkey
secure_cert_file = /usr/local/lib/python2.7/dist-packages/openerp-server/ssl/server.crt

but what ever the method is (parameter or file) I get the following error

[2015-06-04 10:41:53,836] CRITICAL:xml-rpc-ssl:[02]: Environment Information : 
[2015-06-04 10:41:53,836] CRITICAL:xml-rpc-ssl:[03]: System : Linux-3.16.0-38-generic-i686-with-Ubuntu-14.04-trusty
[2015-06-04 10:41:53,836] CRITICAL:xml-rpc-ssl:[04]: OS Name : posix
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[05]: Distributor ID: Ubuntu
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[06]: Description: Ubuntu 14.04.2 LTS
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[07]: Release: 14.04
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[08]: Codename: trusty
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[09]: Operating System Release : 3.16.0-38-generic
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[10]: Operating System Version : #52~14.04.1-Ubuntu SMP Fri May 8 09:44:48 UTC 2015
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[11]: Operating System Architecture : 32bit
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[12]: Operating System Locale : en_US.UTF-8
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[13]: Python Version : 2.7.6
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[14]: OpenERP-Server Version : 5.0.10
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[15]: Last revision No. & ID : 
[2015-06-04 10:41:53,837] CRITICAL:xml-rpc-ssl:[16]: Can not load the certificate and/or the private key files

I dont think the problem is with my pkey or certificate. I created and recreated them so many times (reading from different blogs which were working with openerp).

The version of Openerp that I am using is 5.0.10. Kindly guide me.

Regards